summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2013-04-08 06:19:00 +0000
committerMike Frysinger <vapier@gentoo.org>2013-04-08 06:19:00 +0000
commit1e938785d4e03b5a464c08c8fe315c130061b2db (patch)
tree9d95164ffbe004c202fb70a4cdfaee9be1d20b88 /eclass
parentBump (diff)
downloadgentoo-2-1e938785d4e03b5a464c08c8fe315c130061b2db.tar.gz
gentoo-2-1e938785d4e03b5a464c08c8fe315c130061b2db.tar.bz2
gentoo-2-1e938785d4e03b5a464c08c8fe315c130061b2db.zip
fix S clobbering that is not needed anymore to unbreak info page installs #464008
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass12
1 files changed, 4 insertions, 8 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 7e820bb1d4db..11d7f62024d1 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.579 2013/04/08 03:37:07 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.580 2013/04/08 06:19:00 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1293,10 +1293,6 @@ toolchain_death_notice() {
# Travis Tilley <lv@gentoo.org> (04 Sep 2004)
#
gcc_do_make() {
- # Fix for libtool-portage.patch
- local OLDS=${S}
- S=${WORKDIR}/build
-
# Set make target to $1 if passed
[[ -n $1 ]] && GCC_MAKE_TARGET=$1
# default target
@@ -1335,7 +1331,7 @@ gcc_do_make() {
BOOT_CFLAGS=${BOOT_CFLAGS-"$(get_abi_CFLAGS ${TARGET_DEFAULT_ABI}) ${CFLAGS}"}
fi
- pushd "${WORKDIR}"/build
+ pushd "${WORKDIR}"/build >/dev/null
emake \
LDFLAGS="${LDFLAGS}" \
@@ -1359,7 +1355,7 @@ gcc_do_make() {
fi
fi
- popd
+ popd >/dev/null
}
# This is mostly a stub function to be overwritten in an ebuild
@@ -1499,7 +1495,7 @@ toolchain_src_install() {
# Copy over the info pages. We disabled their generation earlier, but the
# build system only expects to install out of the build dir, not the source. #464008
mkdir -p gcc/doc
- cp "${WORKDIR}/${P}"/gcc/doc/*.info* gcc/doc/ || die
+ cp "${S}"/gcc/doc/*.info* gcc/doc/ || die
# Remove generated headers, as they can cause things to break
# (ncurses, openssl, etc).
while read x ; do